Index: branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/flo4rk.F90
===================================================================
--- branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/flo4rk.F90	(revision 6019)
+++ branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/flo4rk.F90	(revision 6020)
@@ -4,5 +4,5 @@
    !! Ocean floats :   trajectory computation using a 4th order Runge-Kutta
    !!======================================================================
-#if   defined key_floats   ||   defined key_esopa
+#if   defined key_floats
    !!----------------------------------------------------------------------
    !!   'key_floats'                                     float trajectories
Index: branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/flo_oce.F90
===================================================================
--- branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/flo_oce.F90	(revision 6019)
+++ branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/flo_oce.F90	(revision 6020)
@@ -7,5 +7,5 @@
    !!   NEMO      1.0  ! 2002-11  (G. Madec, A. Bozec)  F90: Free form and module
    !!----------------------------------------------------------------------
-#if   defined key_floats   ||   defined key_esopa
+#if   defined key_floats
    !!----------------------------------------------------------------------
    !!   'key_floats'                                        drifting floats
Index: branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90
===================================================================
--- branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90	(revision 6019)
+++ branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90	(revision 6020)
@@ -7,5 +7,5 @@
    !!   NEMO     1.0  ! 2002-06  (A. Bozec)  F90, Free form and module
    !!----------------------------------------------------------------------
-#if   defined key_floats   ||   defined key_esopa
+#if   defined key_floats
    !!----------------------------------------------------------------------
    !!   'key_floats'                                     float trajectories
Index: branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/floblk.F90
===================================================================
--- branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/floblk.F90	(revision 6019)
+++ branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/floblk.F90	(revision 6020)
@@ -4,5 +4,5 @@
    !! Ocean floats :   trajectory computation
    !!======================================================================
-#if   defined key_floats   ||   defined key_esopa
+#if   defined key_floats
    !!----------------------------------------------------------------------
    !!   'key_floats'                                     float trajectories
@@ -125,5 +125,5 @@
 
             ! for a isobar float zsurfz is put to zero. The vertical velocity will be zero too.
-            zsurfz = e1t(iiloc(jfl),ijloc(jfl)) * e2t(iiloc(jfl),ijloc(jfl))
+            zsurfz =          e1e2t(iiloc(jfl),ijloc(jfl))
             zvol   = zsurfz * fse3t(iiloc(jfl),ijloc(jfl),-ikl(jfl))
 
Index: branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/flodom.F90
===================================================================
--- branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/flodom.F90	(revision 6019)
+++ branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/flodom.F90	(revision 6020)
@@ -4,9 +4,8 @@
    !! Ocean floats :   domain
    !!======================================================================
-   !! History :  OPA          ! 1998-07 (Y.Drillet, CLIPPER)  Original code
-   !!            NEMO_3.3.1   ! 2011-09 (C.Bricaud,S.Law-Chune Mercator-Ocean): 
-                              ! add Ariane convention, Comsecitc changes
-   !!----------------------------------------------------------------------
-#if   defined key_floats   ||   defined key_esopa
+   !! History :  OPA  ! 1998-07 (Y.Drillet, CLIPPER)  Original code
+   !!  NEMO      3.3  ! 2011-09 (C.Bricaud,S.Law-Chune Mercator-Ocean): add ARIANE convention + comsecitc changes
+   !!----------------------------------------------------------------------
+#if   defined key_floats
    !!----------------------------------------------------------------------
    !!   'key_floats'                                     float trajectories
Index: branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/florst.F90
===================================================================
--- branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/florst.F90	(revision 6019)
+++ branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/florst.F90	(revision 6020)
@@ -2,21 +2,15 @@
    !!======================================================================
    !!                       ***  MODULE  florst  ***
-   !!
-   !!
-   !! write floats restart files
-   !!
+   !! Ocean floats : write floats restart files
    !!======================================================================
-   !!  History :
-   !!    8.0  !  99-09  (Y. Drillet)    : Original code
-   !!         !  00-06  (J.-M. Molines) : Profiling floats for CLS 
-   !!    8.5  !  02-10  (A. Bozec)  F90 : Free form and module
-   !!    3.2  !  10-08  (slaw, cbricaud): netcdf outputs and others 
+   !!  History :  OPA  !  1999-09  (Y. Drillet)    : Original code
+   !!              -   !  2000-06  (J.-M. Molines) : Profiling floats for CLS 
+   !!   NEMO      1.0  !  2002-10  (A. Bozec)  F90 : Free form and module
+   !!             3.2  !  2010-08  (slaw, cbricaud): netcdf outputs and others 
    !!----------------------------------------------------------------------
-#if   defined key_floats   ||   defined key_esopa
+#if   defined key_floats
    !!----------------------------------------------------------------------
    !!   'key_floats'                                     float trajectories
    !!----------------------------------------------------------------------
-
-   !! * Modules used
    USE flo_oce         ! ocean drifting floats
    USE dom_oce         ! ocean space and time domain
@@ -37,7 +31,6 @@
    !! NEMO/OPA 3.2 , LODYC-IPSL  (2009)
    !! $Id$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
Index: branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/flowri.F90
===================================================================
--- branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/flowri.F90	(revision 6019)
+++ branches/UKMO/icebergs_restart_single_file/NEMOGCM/NEMO/OPA_SRC/FLO/flowri.F90	(revision 6020)
@@ -3,21 +3,16 @@
    !!                       ***  MODULE  flowri  ***
    !!
-   !! write floats trajectory in ascii                    ln_flo_ascii = T
-   !!                      or in netcdf ( IOM or IOSPSL ) ln_flo_ascii = F           
-   !! 
-   !!
+   !! Ocean floats: write floats trajectory in ascii                    ln_flo_ascii = T
+   !!                                    or in netcdf ( IOM or IOSPSL ) ln_flo_ascii = F           
    !!======================================================================
-   !!  History :
-   !!    8.0  !  99-09  (Y. Drillet)    : Original code
-   !!         !  00-06  (J.-M. Molines) : Profiling floats for CLS 
-   !!    8.5  !  02-10  (A. Bozec)  F90 : Free form and module
-   !!    3.2  !  10-08  (slaw, cbricaud): netcdf outputs and others 
-   !!----------------------------------------------------------------------
-#if   defined key_floats   ||   defined key_esopa
+   !!  History :  OPA  !  1999-09  (Y. Drillet)    : Original code
+   !!              -   !  2000-06  (J.-M. Molines) : Profiling floats for CLS 
+   !!   NEMO      1.0  !  2002-10  (A. Bozec)  F90 : Free form and module
+   !!             3.2  !  2010-08  (slaw, cbricaud): netcdf outputs and others 
+   !!----------------------------------------------------------------------
+#if   defined key_floats
    !!----------------------------------------------------------------------
    !!   'key_floats'                                     float trajectories
    !!----------------------------------------------------------------------
-
-   !! * Modules used
    USE flo_oce         ! ocean drifting floats
    USE oce             ! ocean dynamics and tracers
@@ -30,5 +25,4 @@
    USE iom             ! I/O library
 
-
    IMPLICIT NONE
    PRIVATE
@@ -51,7 +45,6 @@
    !! NEMO/OPA 3.2 , LODYC-IPSL  (2009)
    !! $Id$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!----------------------------------------------------------------------
-
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
